# DeviceSystemInfo

Namespace: **Wisej.Hybrid**

Assembly: **Wisej.Hybrid** (3.5.0.0)

* [DeviceInfoBase](/hybrid/start/api/general/wisej.hybrid.core.deviceinfobase.md)
  * [DeviceSystemInfo](/hybrid/start/api/system/wisej.hybrid.devicesysteminfo.md)

Provides information related to the device's system.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DeviceSystemInfo : DeviceInfoBase
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DeviceSystemInfo
    Inherits DeviceInfoBase
```

{% endtab %}
{% endtabs %}

Access this class through the [Info](/hybrid/start/api/general/wisej.hybrid.device.md#info) singleton.

## Constructors

### ![](/files/CCV9PPenlC1YZvNh1I6R)DeviceSystemInfo()

Creates a new instance of [DeviceSystemInfo](/hybrid/start/api/system/wisej.hybrid.devicesysteminfo.md).

## Properties

### ![](/files/CCV9PPenlC1YZvNh1I6R)AppName

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets the name of the application.

### ![](/files/CCV9PPenlC1YZvNh1I6R)AppTheme

[AppTheme](/hybrid/start/api/ui/wisej.hybrid.shared.screen.apptheme.md): App theme (i.e. light, dark, etc.)

### ![](/files/CCV9PPenlC1YZvNh1I6R)DeviceName

[String](https://docs.microsoft.com/dotnet/api/system.string): The name identifying the device.

### ![](/files/CCV9PPenlC1YZvNh1I6R)DeviceType

[DeviceType](/hybrid/start/api/system/wisej.hybrid.modules.system.devicetype.md): Gets the type of device (physical / virtual).

### ![](/files/CCV9PPenlC1YZvNh1I6R)ID

[String](https://docs.microsoft.com/dotnet/api/system.string): Unique device ID.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Idiom

[DeviceIdiom](/hybrid/start/api/system/wisej.hybrid.modules.system.deviceidiom.md): The type of device.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Manufacturer

[String](https://docs.microsoft.com/dotnet/api/system.string): Device manufacturer.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Model

[String](https://docs.microsoft.com/dotnet/api/system.string): The model of the device.

### ![](/files/CCV9PPenlC1YZvNh1I6R)OfflineUrl

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets the offline embedded web server url, if started.

### ![](/files/CCV9PPenlC1YZvNh1I6R)PackageName

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets the name of the package.

### ![](/files/CCV9PPenlC1YZvNh1I6R)PackagingModel

[AppPackagingModel](/hybrid/start/api/system/wisej.hybrid.modules.system.apppackagingmodel.md): Gets whether the app has been packaged as an MSIX or an independent executable.

Windows only.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Platform

[DevicePlatform](/hybrid/start/api/system/wisej.hybrid.modules.system.deviceplatform.md): The name of the operating system running on the device.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Version

[String](https://docs.microsoft.com/dotnet/api/system.string): The current version of the operating system.

## Methods

### ![](/files/CCV9PPenlC1YZvNh1I6R)OnWebUpdate(info)

Populates and updates [DeviceSystemInfo](/hybrid/start/api/system/wisej.hybrid.devicesysteminfo.md) with device information.

| Parameter | Type                                                          | Description              |
| --------- | ------------------------------------------------------------- | ------------------------ |
| **info**  | [Object](https://docs.microsoft.com/dotnet/api/system.object) | The dynamic info object. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/system/wisej.hybrid.devicesysteminfo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
